Bug 985913 - [services] missing name at sysv status
[services] missing name at sysv status
Status: CLOSED UPSTREAM
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-setup (Show other bugs)
3.3.0
Unspecified Unspecified
unspecified Severity medium
: ---
: 3.3.0
Assigned To: Alon Bar-Lev
Pavel Stehlik
integration
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-18 09:37 EDT by Jiri Belka
Modified: 2015-09-22 09 EDT (History)
7 users (show)

See Also:
Fixed In Version: is7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-29 03:50:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 17088 None None None Never

  None (edit)
Description Jiri Belka 2013-07-18 09:37:24 EDT
Description of problem:

# /etc/init.d/ovirt-websocket-proxy status 2>&1
 is stopped

--- /etc/init.d/ovirt-websocket-proxy.orig      2013-07-18 15:31:43.537000384 +0200
+++ /etc/init.d/ovirt-websocket-proxy   2013-07-18 15:36:14.198000383 +0200
@@ -62,7 +62,7 @@ case "$1" in
                [ $RETVAL -eq 0 ] && rm -f "${LOCKFILE}"
                ;;
        status)
-               status -p "${PIDFILE}"
+               status -p "${PIDFILE}" $NAME
                RETVAL=$?
                ;;
        restart)

after...

[root@jb-rh33 ~]# /etc/init.d/ovirt-websocket-proxy restart
Stopping oVirt Engine websockets proxy:                    [  OK  ]
Starting oVirt Engine websockets proxy:                    [  OK  ]
[root@jb-rh33 ~]# /etc/init.d/ovirt-websocket-proxy status
ovirt-websocket-proxy (pid  26701) is running...


Version-Release number of selected component (if applicable):
is6

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Alon Bar-Lev 2013-07-18 11:39:59 EDT
Thanks!

Next time you can just submit a patch[1].

[1] http://gerrit.ovirt.org

Note You need to log in before you can comment on or make changes to this bug.